$main::preferences{AutoLink} = [
    {
        desc =>"Prefix for title of autolinked page" , 
        name =>"autolink_prefix" 
    },
    { 
        desc =>"Postfix for title of autolinked page",
        name =>"autolink_postfix" 
    },
];

my $prefix =$main::config{autolink_prefix};
my $postfix=$main::config{autolink_postfix};

if( $postfix || $prefix ){
    my $startsWith=unpack('h*',$prefix || '');
    my $endsWith  =unpack('h*',$postfix || '');
    my @symbols = sort{ length($b) <=> length($a) }
        grep( defined($_)
        ,map( ($_=~/^${startsWith}(.+)${endsWith}$/ 
              ? pack('h*',$1)
              : undef ) , &list_page() ));

    my $engine = \&main::syntax_engine;
    *main::syntax_engine = sub {
        my ($text,$session) = @_;
        $$text =~ s/\[\[.+?\]\]/"\f".unpack('h*',$&)."\f"/ge;
        $$text =~ s/&gt;&gt;\{.+?\}/"\f".unpack('h*',$&)."\f"/ge;
        $$text =~ s/\(\(.+?\)\)/"\f".unpack('h*',$&)."\f"/ge;
        foreach my $word ( @symbols ){
            $$text =~ s/\Q$word\E/
                "\f".unpack('h*',"[[$&|$prefix$&$postfix]]")."\f"/ge;
        }
        $$text =~ s/\f((?:[0-9a-fA-F][0-9a-fA-F])+?)\f/pack('h*',$1)/ge;
        $$text = $engine->($text,$session);
    };
}
